/** @jsx dom */
'use strict';

Object.defineProperty(exports, '__esModule', {
	value: true
});
exports.render = render;

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var _magicVirtualElement = require('magic-virtual-element');

var _magicVirtualElement2 = _interopRequireDefault(_magicVirtualElement);

var _cleanQuery = require('clean-query');

var _cleanQuery2 = _interopRequireDefault(_cleanQuery);

var propTypes = {
	'class': {
		type: 'string'
	},
	id: {
		type: 'string'
	},
	title: {
		type: 'string'
	},
	target: {
		type: 'string'
	},
	url: {
		type: 'string'
	}
};

exports.propTypes = propTypes;

function render(_ref) {
	var props = _ref.props;
	var children = props.children;
	var id = props.id;
	var title = props.title;
	var target = props.target;
	var url = props.url;

	var c = props['class'] ? 'SocialShare ' + props['class'] : 'SocialShare';
	var query = (0, _cleanQuery2['default'])({
		title: title,
		url: url
	});

	return (0, _magicVirtualElement2['default'])(
		'a',
		{ href: 'https://www.stumbleupon.com/submit?' + query, 'class': c, id: id, target: target },
		children
	);
}